Bug 978501 - [abrt] xfdesktop-4.10.2-1.fc18: xfdesktop_window_icon_manager_icon_selection_changed_cb: Process /usr/bin/xfdesktop was killed by signal 11 (SIGSEGV)
[abrt] xfdesktop-4.10.2-1.fc18: xfdesktop_window_icon_manager_icon_selection_...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xfdesktop (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:fd617d26887b72d6e3bce3a21e2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-26 13:45 EDT by gondarlinux
Modified: 2014-02-05 18:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 18:12:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (21.39 KB, text/plain)
2013-06-26 13:45 EDT, gondarlinux
no flags Details
File: cgroup (130 bytes, text/plain)
2013-06-26 13:45 EDT, gondarlinux
no flags Details
File: core_backtrace (2.12 KB, text/plain)
2013-06-26 13:45 EDT, gondarlinux
no flags Details
File: dso_list (8.61 KB, text/plain)
2013-06-26 13:45 EDT, gondarlinux
no flags Details
File: environ (1.48 KB, text/plain)
2013-06-26 13:45 EDT, gondarlinux
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-26 13:46 EDT, gondarlinux
no flags Details
File: maps (43.85 KB, text/plain)
2013-06-26 13:46 EDT, gondarlinux
no flags Details
File: open_fds (1.81 KB, text/plain)
2013-06-26 13:46 EDT, gondarlinux
no flags Details
File: proc_pid_status (942 bytes, text/plain)
2013-06-26 13:46 EDT, gondarlinux
no flags Details
File: var_log_messages (310 bytes, text/plain)
2013-06-26 13:46 EDT, gondarlinux
no flags Details
File: xsession_errors (820 bytes, text/plain)
2013-06-26 13:46 EDT, gondarlinux
no flags Details

  None (edit)
Description gondarlinux 2013-06-26 13:45:43 EDT
Version-Release number of selected component:
xfdesktop-4.10.2-1.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        xfdesktop --display :0.0 --sm-client-id 20aec78a2-7a9c-4b28-8bde-74f3c04de8d0
crash_function: xfdesktop_window_icon_manager_icon_selection_changed_cb
executable:     /usr/bin/xfdesktop
kernel:         3.9.6-200.fc18.x86_64
runlevel:       N 5
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 xfdesktop_window_icon_manager_icon_selection_changed_cb at xfdesktop-window-icon-manager.c:188
 #1 _g_closure_invoke_va at gclosure.c:840
 #4 xfdesktop_icon_view_select_item at xfdesktop-icon-view.c:3769
 #6 g_cclosure_marshal_VOID__OBJECTv at gmarshal.c:1312
 #7 _g_closure_invoke_va at gclosure.c:840
 #10 emit_active_workspace_changed at screen.c:2391
 #11 update_active_workspace at screen.c:2081
 #12 do_update_now at screen.c:2335
 #13 update_idle at screen.c:2355
 #18 gtk_main at gtkmain.c:1257
Comment 1 gondarlinux 2013-06-26 13:45:46 EDT
Created attachment 765709 [details]
File: backtrace
Comment 2 gondarlinux 2013-06-26 13:45:49 EDT
Created attachment 765710 [details]
File: cgroup
Comment 3 gondarlinux 2013-06-26 13:45:52 EDT
Created attachment 765711 [details]
File: core_backtrace
Comment 4 gondarlinux 2013-06-26 13:45:55 EDT
Created attachment 765712 [details]
File: dso_list
Comment 5 gondarlinux 2013-06-26 13:45:58 EDT
Created attachment 765713 [details]
File: environ
Comment 6 gondarlinux 2013-06-26 13:46:01 EDT
Created attachment 765714 [details]
File: limits
Comment 7 gondarlinux 2013-06-26 13:46:04 EDT
Created attachment 765715 [details]
File: maps
Comment 8 gondarlinux 2013-06-26 13:46:07 EDT
Created attachment 765716 [details]
File: open_fds
Comment 9 gondarlinux 2013-06-26 13:46:11 EDT
Created attachment 765717 [details]
File: proc_pid_status
Comment 10 gondarlinux 2013-06-26 13:46:14 EDT
Created attachment 765718 [details]
File: var_log_messages
Comment 11 gondarlinux 2013-06-26 13:46:17 EDT
Created attachment 765719 [details]
File: xsession_errors
Comment 12 Kevin Fenzi 2013-06-27 10:50:56 EDT
What were you doing when this happened? 

Can you duplicate it?
Comment 13 gondarlinux 2013-06-27 11:01:00 EDT
This is the first time it has happened.  I can only describe the environment.

I was running three instances of VMware player running three different VMs.  I was running Google Chrome, an XFCE Terminal and LibreOffice Calc.  I was moving between virtual desktops via mouse and the desktop greyed for a second or two and then the abrt notification popped up.

I have not been able to duplicate it.
Comment 14 Fedora End Of Life 2013-12-21 10:34:29 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2014-02-05 18:12:25 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.